Bug 781793 - Review Request: perl-String-ToIdentifier-EN - Convert Strings to English Program Identifiers
Summary: Review Request: perl-String-ToIdentifier-EN - Convert Strings to English Prog...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/String-To...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-15 08:44 UTC by Iain Arnell
Modified: 2012-02-12 22:51 UTC (History)
3 users (show)

Fixed In Version: perl-String-ToIdentifier-EN-0.06-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-12 22:48:47 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2012-01-15 08:44:27 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-String-ToIdentifier-EN.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-String-ToIdentifier-EN-0.06-1.fc17.src.rpm

Description:
This module provides a utility method, "to_identifier" for converting an
arbitrary string into a readable representation using the ASCII subset of
\w for use as an identifier in a computer program. The intent is to make
unique identifier names from which the content of the original string can
be easily inferred by a human just by reading the identifier.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3696115

*rt-0.10_02

Comment 1 Parag AN(पराग) 2012-02-02 05:48:20 UTC
Review:-

+ koji build (f17) -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3754338

+ rpmlint on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ License is valid

+ source verified with upstream as (sha1sum)
c2a7938e31b0c2faf6966b7c0222db8de67db90f  String-ToIdentifier-EN-0.06.tar.gz
c2a7938e31b0c2faf6966b7c0222db8de67db90f  ../SOURCES/String-ToIdentifier-EN-0.06.tar.gz

+ make test gave
All tests successful.
Files=3, Tests=805,  1 wallclock secs ( 0.10 usr  0.01 sys +  1.12 cusr  0.07 csys =  1.30 CPU)

+ Package perl-String-ToIdentifier-EN-0.06-1.fc17.noarch =>
Provides: perl(String::ToIdentifier::EN) = 0.06 perl(String::ToIdentifier::EN::Unicode)
Requires: perl >= 0:5.008001 perl(Exporter) perl(Lingua::EN::Inflect::Phrase) perl(String::ToIdentifier::EN) perl(Text::Unidecode) perl(Unicode::UCD) perl(base) perl(namespace::clean) perl(strict) perl(warnings)

+ Follows packaging guidelines.

APPROVED.

Comment 2 Iain Arnell 2012-02-02 05:59:02 UTC
New Package SCM Request
=======================
Package Name: perl-String-ToIdentifier-EN
Short Description: Convert Strings to English Program Identifiers
Owners: iarnell
Branches: f15 f16
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2012-02-02 07:47:13 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2012-02-03 05:29:11 UTC
perl-String-ToIdentifier-EN-0.06-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-String-ToIdentifier-EN-0.06-1.fc16

Comment 5 Fedora Update System 2012-02-03 05:29:20 UTC
perl-String-ToIdentifier-EN-0.06-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-String-ToIdentifier-EN-0.06-1.fc15

Comment 6 Fedora Update System 2012-02-04 05:24:11 UTC
perl-String-ToIdentifier-EN-0.06-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 7 Fedora Update System 2012-02-12 22:48:47 UTC
perl-String-ToIdentifier-EN-0.06-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 8 Fedora Update System 2012-02-12 22:51:54 UTC
perl-String-ToIdentifier-EN-0.06-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.